#include <stdio.h>

int main()
{
  int br, n, i;
  int x[5], y[5];
  scanf("%d", &n);
  for(int i=0;i<n;i++)
    scanf("%d %d", &x[i], &y[i]);
  if(n<4)
    printf("0");
  else
  {
    printf("1");
  }
  return 0;
}